#define GEBS_NO_PREFIX
#define GEBS_IMPLEMENTATION
#include "gebs.h"

int main(int argc, char ** argv)
{
    rebuild_self(argc, argv, "cc", "-o", "gebs", __FILE__);

    if (!exists1("build")) {
        mkdir1("build");
    }

    RULE("build/self_rebuild", "example/self_rebuild.c", "gebs.h") {
        CMD("cc", "-ggdb", "-o", "build/self_rebuild", "example/self_rebuild.c");
    }

    RULE("build/arena", "example/arena.c", "gebs.h") {
        CMD("cc", "-ggdb", "-o", "build/arena", "example/arena.c");
    }

    RULE("build/commands", "example/commands.c", "gebs.h") {
        CMD("cc", "-ggdb", "-o", "build/commands", "example/commands.c");
    }

    RULE("build/sb", "example/sb.c", "gebs.h") {
        CMD("cc", "-ggdb", "-o", "build/sb", "example/sb.c");
    }

    return 0;
}
